AMQPQueue::get
AMQPQueue::unbind
AMQPQueue
PHP Manual

# AMQPQueue::purge

(PECL amqp >= Unknown)

AMQPQueue::purge — Purge the contents of a queue

### Description

public void AMQPQueue::purge ( string `$queue_name` )

Purge the contents of a queue.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`queue_name`

  The name of the queue to purge

### Return Values

AMQPQueue::get
AMQPQueue::unbind
AMQPQueue
PHP Manual